Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.blogclient
Class BaseBlogEntry

    java.lang.Object
      com.sun.syndication.propono.blogclient.BaseBlogEntry

All Implemented Interfaces:
  BlogEntry

Direct Known Subclasses:
  AtomEntry, MetaWeblogEntry

    public abstract class BaseBlogEntry

extends Object
implements BlogEntry

Base implementation of a blog entry.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.syndication.propono.blogclient.BlogEntry
`BlogEntry.Category, BlogEntry.Content, BlogEntry.Person`

Field Summary
`protected BlogEntry.Person` | `author`
`protected List` | `categories`
`protected BlogEntry.Content` | `content`
`protected boolean` | `draft`
`protected String` | `id`
`protected Date` | `modificationDate`
`protected String` | `permalink`
`protected Date` | `publicationDate`
`protected String` | `summary`
`protected String` | `title`

Constructor Summary
`BaseBlogEntry(Blog blog)` Contruct abstract blog entry.

Method Summary
`BlogEntry.Person` | `getAuthor()` Get author of this entry
`Blog` | `getBlog()` Blog is associated with a blog
`List` | `getCategories()` Get categories, a list of BlogEntry.Category objects
`BlogEntry.Content` | `getContent()` Get content of this blog entry
`boolean` | `getDraft()` Get draft status of this entry
`String` | `getId()` Get globally unique ID of this blog entry
`Date` | `getModificationDate()` Get update date of this entry
`String` | `getPermalink()` Permanent link to this entry (assigned by server)
`Date` | `getPublicationDate()` Set publish date of this entry
`String` | `getSummary()` Get summary of this blog entry
`String` | `getTitle()` Get title of this blog entry
`void` | `setAuthor(BlogEntry.Person author)` Set author of this entry
`void` | `setCategories(List categories)` Set categories, a list of BlogEntry.Category objects
`void` | `setContent(BlogEntry.Content content)` Set content of this blog entry
`void` | `setDraft(boolean draft)` Set draft status of this entry
`void` | `setModificationDate(Date date)` Set update date of this entry
`void` | `setPublicationDate(Date pubDate)` Get publish date of this entry
`void` | `setSummary(String summary)` Set summary of this blog entry
`void` | `setTitle(String title)` Set title of this blog entry
`String` | `toString()` String representation, returns id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sun.syndication.propono.blogclient.BlogEntry
`delete, getToken, save`

Field Detail

### id

    protected String id

### author

    protected BlogEntry.Person author

### content

    protected BlogEntry.Content content

### title

    protected String title

### permalink

    protected String permalink

### summary

    protected String summary

### modificationDate

    protected Date modificationDate

### publicationDate

    protected Date publicationDate

### categories

    protected List categories

### draft

    protected boolean draft

Constructor Detail

### BaseBlogEntry

    public BaseBlogEntry(Blog blog)

  Contruct abstract blog entry.

Method Detail

### getId

    public String getId()

  Get globally unique ID of this blog entry

  Specified by:
    `getId` in interface `BlogEntry`

### getPermalink

    public String getPermalink()

  Permanent link to this entry (assigned by server)

  Specified by:
    `getPermalink` in interface `BlogEntry`

### getAuthor

    public BlogEntry.Person getAuthor()

  Get author of this entry

  Specified by:
    `getAuthor` in interface `BlogEntry`

### setAuthor

    public void setAuthor(BlogEntry.Person author)

  Set author of this entry

  Specified by:
    `setAuthor` in interface `BlogEntry`

### getContent

    public BlogEntry.Content getContent()

  Get content of this blog entry

  Specified by:
    `getContent` in interface `BlogEntry`

### setContent

    public void setContent(BlogEntry.Content content)

  Set content of this blog entry

  Specified by:
    `setContent` in interface `BlogEntry`

### getDraft

    public boolean getDraft()

  Get draft status of this entry

  Specified by:
    `getDraft` in interface `BlogEntry`

### setDraft

    public void setDraft(boolean draft)

  Set draft status of this entry

  Specified by:
    `setDraft` in interface `BlogEntry`

### getPublicationDate

    public Date getPublicationDate()

  Set publish date of this entry

  Specified by:
    `getPublicationDate` in interface `BlogEntry`

### setPublicationDate

    public void setPublicationDate(Date pubDate)

  Get publish date of this entry

  Specified by:
    `setPublicationDate` in interface `BlogEntry`

### getModificationDate

    public Date getModificationDate()

  Get update date of this entry

  Specified by:
    `getModificationDate` in interface `BlogEntry`

### setModificationDate

    public void setModificationDate(Date date)

  Set update date of this entry

  Specified by:
    `setModificationDate` in interface `BlogEntry`

### getTitle

    public String getTitle()

  Get title of this blog entry

  Specified by:
    `getTitle` in interface `BlogEntry`

### setTitle

    public void setTitle(String title)

  Set title of this blog entry

  Specified by:
    `setTitle` in interface `BlogEntry`

### getSummary

    public String getSummary()

  Get summary of this blog entry

  Specified by:
    `getSummary` in interface `BlogEntry`

### setSummary

    public void setSummary(String summary)

  Set summary of this blog entry

  Specified by:
    `setSummary` in interface `BlogEntry`

### getCategories

    public List getCategories()

  Get categories, a list of BlogEntry.Category objects

  Specified by:
    `getCategories` in interface `BlogEntry`

### setCategories

    public void setCategories(List categories)

  Set categories, a list of BlogEntry.Category objects

  Specified by:
    `setCategories` in interface `BlogEntry`

### getBlog

    public Blog getBlog()

  Blog is associated with a blog

  Specified by:
    `getBlog` in interface `BlogEntry`

### toString

    public String toString()

  String representation, returns id.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD